
QGIS Application - Bug report #12308

Raster fails to load at correct coordinates

2015-03-03 02:04 PM - James Keener

Status: Closed

Priority: Normal

Assignee:

Category: Rasters

Affected QGIS version:2.8.1 Regression?: No

Operating System: Ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 20486

Description

gdalinfo and the properties in QGIS show that the geo info (proper extents and crs) in the tiff are correct, but QGIS makes the extends

(0,0) - (pixel width,  - pixel height ).

gdalinfo:

Driver: GTiff/GeoTIFF

Files: /home/jim/Downloads/morningside-overlay.tiff

Size is 2245, 1982

Coordinate System is:

GEOGCS["WGS 84",

    DATUM["WGS_1984",

        SPHEROID["WGS 84",6378137,298.257223563,

            AUTHORITY["EPSG","7030"]],

        AUTHORITY["EPSG","6326"]],

    PRIMEM["Greenwich",0],

    UNIT["degree",0.0174532925199433],

    AUTHORITY["EPSG","4326"]]

Origin = (-79.929058753299998,40.483000685199997)

Pixel Size = (0.000002500000000,0.000002500000000)

Metadata:

  AREA_OR_POINT=Area

Image Structure Metadata:

  INTERLEAVE=BAND

Corner Coordinates:

Upper Left  ( -79.9290588,  40.4830007) ( 79d55'44.61"W, 40d28'58.80"N)

Lower Left  ( -79.9290588,  40.4879557) ( 79d55'44.61"W, 40d29'16.64"N)

Upper Right ( -79.9234463,  40.4830007) ( 79d55'24.41"W, 40d28'58.80"N)

Lower Right ( -79.9234463,  40.4879557) ( 79d55'24.41"W, 40d29'16.64"N)

Center      ( -79.9262525,  40.4854782) ( 79d55'34.51"W, 40d29' 7.72"N)

Band 1 Block=2245x3 Type=Byte, ColorInterp=Gray

QGIS Layer > Properties > Metadata > Properties

Driver

GDAL provider

VRT

Virtual Raster

Dataset Description
Band 1

STATISTICS_MAXIMUM=255

STATISTICS_MEAN=79.984881333519

STATISTICS_MINIMUM=0

STATISTICS_STDDEV=69.159725482519

Dimensions

X: 2245 Y: 1982 Bands: 1

Origin

-79.9291,40.488

Pixel Size

2.5e-06,-2.5e-06

No Data Value

*NoDataValue not set* 

Data Type

Byte - Eight bit unsigned integer

Pyramid overviews

Layer Spatial Reference System

+proj=longlat +datum=WGS84 +no_defs

Layer Extent (layer original source projection)

0.0000000000000000,-1982.0000000000000000 : 2245.0000000000000000,0.0000000000000000

Band

Band 1

Band No

1

No Stats

No stats collected yet

History

#1 - 2015-03-03 05:23 PM - Nyall Dawson

- Status changed from Open to Feedback

Please test with master or the ltr-dev version. This should already be fixed.

#2 - 2015-03-03 11:39 PM - Paolo Cavallini

- Subject changed from Raster fails to loat at correct coordinates to Raster fails to load at correct coordinates

#3 - 2015-03-05 10:21 AM - James Keener

- Status changed from Feedback to Closed

1) Apologies for not proofreading the title.

2) As of 2844005 it appears to be correctly loading the file.

Closing.  Will reopen if any future revision regresses.

Files

morningside-overlay.tiff 4.25 MB 2015-03-03 James Keener
